ruby1.9.1 1.9.3.194-8.1ubuntu2 source package in Ubuntu

Changelog

ruby1.9.1 (1.9.3.194-8.1ubuntu2) saucy; urgency=low

  * SECURITY UPDATE: incorrect ssl hostname verification
    - debian/patches/CVE-2013-4073.patch: fix hostname check and regression
      in ext/openssl/lib/openssl/ssl-internal.rb, added test to
      test/openssl/test_ssl.rb.
    - CVE-2013-4073
 -- Marc Deslauriers <email address hidden>   Mon, 08 Jul 2013 13:00:47 -0400

Upload details

Uploaded by:
Marc Deslauriers on 2013-07-08
Uploaded to:
Saucy
Original maintainer:
Ubuntu Developers
Architectures:
any all
Section:
ruby
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
ruby1.9.1_1.9.3.194.orig.tar.gz 11.9 MiB 46e2fa80be7efed51bd9cdc529d1fe22ebc7567ee0f91db4ab855438cf4bd8bb
ruby1.9.1_1.9.3.194-8.1ubuntu2.debian.tar.gz 64.4 KiB f69b01a25211c36b28dbd52f6929f629a0d4ef32a49d1733253fcf865f612d40
ruby1.9.1_1.9.3.194-8.1ubuntu2.dsc 2.7 KiB 9925e3497ff926ffbe4e5fd08f8a15b8a3586d4b966c7acf39ea1e4f75adea0a

View changes file

Binary packages built by this source

libruby1.9.1: No summary available for libruby1.9.1 in ubuntu saucy.

No description available for libruby1.9.1 in ubuntu saucy.

libruby1.9.1-dbg: Debugging symbols for Ruby 1.9.1

 Contains debugging symbols for libruby1.9.1.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps. Most people will not need this package.

libtcltk-ruby1.9.1: No summary available for libtcltk-ruby1.9.1 in ubuntu saucy.

No description available for libtcltk-ruby1.9.1 in ubuntu saucy.

ri1.9.1: Ruby Interactive reference (for Ruby 1.9.1)

 ri is a command line tool that displays descriptions of built-in Ruby
 methods, classes, and modules. For methods, it shows you the calling
 sequence and a description. For classes and modules, it shows a
 synopsis along with a list of the methods the class or module
 implements.
 .
 This package provides ri command and descriptions about Ruby 1.9.1.
 This package provides the ri documentation for the Ruby 1.9.1 standard library.
 The ri1.9.1 executable itself is in the ruby1.9.1 package.

ruby1.9.1: No summary available for ruby1.9.1 in ubuntu saucy.

No description available for ruby1.9.1 in ubuntu saucy.

ruby1.9.1-dev: No summary available for ruby1.9.1-dev in ubuntu saucy.

No description available for ruby1.9.1-dev in ubuntu saucy.

ruby1.9.1-examples: No summary available for ruby1.9.1-examples in ubuntu saucy.

No description available for ruby1.9.1-examples in ubuntu saucy.

ruby1.9.1-full: No summary available for ruby1.9.1-full in ubuntu saucy.

No description available for ruby1.9.1-full in ubuntu saucy.

ruby1.9.3: No summary available for ruby1.9.3 in ubuntu saucy.

No description available for ruby1.9.3 in ubuntu saucy.